public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2018-11-09 19:49 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2018-11-09 19:49 UTC (permalink / raw
  To: gentoo-commits

commit:     218e8b48756f537d93c5705ead6a4b468a54b323
Author:     ktrace <ktrace <AT> yandex <DOT> ru>
AuthorDate: Wed Nov  7 21:26:46 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov  9 19:47:12 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=218e8b48

media-gfx/solvespace: new package

Parametric 3D/2D CAD software with DXF import/export and STL export for
3D printing.

Signed-off-by: Victor Kustov <ktrace <AT> yandex.ru>
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Closes: https://github.com/gentoo/gentoo/pull/10115
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 media-gfx/solvespace/Manifest              |  2 ++
 media-gfx/solvespace/metadata.xml          | 22 ++++++++++++
 media-gfx/solvespace/solvespace-2.3.ebuild | 56 ++++++++++++++++++++++++++++++
 3 files changed, 80 insertions(+)

diff --git a/media-gfx/solvespace/Manifest b/media-gfx/solvespace/Manifest
new file mode 100644
index 00000000000..2e0dfeb8119
--- /dev/null
+++ b/media-gfx/solvespace/Manifest
@@ -0,0 +1,2 @@
+DIST libdxfrw-0.6.3-87ff1082f49b1286a033ac8f38fe8dde0975bb8b.tar.gz 691867 BLAKE2B bd3414930efe8cc1185a20f889dda3ec8ea46e40d3a1a4c24975683fc444161acdff576a1f40c34203e523e88bacf3841c50928340e7865650a113e65375f930 SHA512 0f8e2561887fbc5101787f0d7818328864b5c4a679ef539fcdbda8c124ab4a808663f9ba645d397f154596eab1eb7c6f0bdf3883bf6975392863e01bada3a1f0
+DIST solvespace-2.3.tar.gz 2115940 BLAKE2B 67e2d81e0a609d0344a6f28d33a78609b01c7105785f93aa1124f0592fe0e31d4846e6dd406339b2ef2c5f3961f91302a73c5391fe2e0f435e78c3a97ed67612 SHA512 9d22e467337591cd9a4935124d18733b8337f5785ab5738f4a94300f283ffe7d313569e379ae77e509d14182ffde8c9db7beaebb46ea7c0507c6b05010fe1a56

diff --git a/media-gfx/solvespace/metadata.xml b/media-gfx/solvespace/metadata.xml
new file mode 100644
index 00000000000..e63161bebc6
--- /dev/null
+++ b/media-gfx/solvespace/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+    <maintainer type="person">
+        <email>ktrace@yandex.ru</email>
+        <name>Victor Kustov</name>
+    </maintainer>
+    <maintainer type="project">
+        <email>proxy-maint@gentoo.org</email>
+        <name>Proxy Maintainers</name>
+    </maintainer>
+    <longdescription lang="en">
+    Solvespace is a parametric 2D/3D CAD tool. Applications include:
+    - modeling 3d parts — draw with extrudes, revolves, and Boolean (union / difference) operations
+    - modeling 2d parts — draw the part as a single section, and export DXF, PDF, SVG; use 3d assembly to verify fit
+    - 3d-printed parts — export the STL or other triangle mesh expected by most 3d printers
+    - preparing CAM data — export 2d vector art for a waterjet machine or laser cutter;
+      or generate STEP or STL, for import into third-party CAM software for machining
+    - mechanism design — use the constraint solver to simulate planar or spatial linkages, with pin, ball, or slide joints
+    - plane and solid geometry — replace hand-solved trigonometry and spreadsheets with a live dimensioned drawing
+    </longdescription>
+</pkgmetadata>

diff --git a/media-gfx/solvespace/solvespace-2.3.ebuild b/media-gfx/solvespace/solvespace-2.3.ebuild
new file mode 100644
index 00000000000..ca5fc5249b9
--- /dev/null
+++ b/media-gfx/solvespace/solvespace-2.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+DXFRW_COMMIT="87ff1082f49b1286a033ac8f38fe8dde0975bb8b"
+DXFRW_PV="0.6.3"
+DXFRW_P="libdxfrw-${DXFRW_PV}-${DXFRW_COMMIT}"
+
+inherit cmake-utils gnome2-utils
+
+DESCRIPTION="Parametric 2d/3d CAD"
+HOMEPAGE="http://solvespace.com"
+SRC_URI="https://github.com/solvespace/solvespace/archive/v${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/solvespace/libdxfrw/archive/${DXFRW_COMMIT}.tar.gz -> ${DXFRW_P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-cpp/gtkmm:2.4=
+	dev-cpp/pangomm:1.4
+	dev-libs/json-c:=
+	media-libs/fontconfig
+	media-libs/freetype:2
+	media-libs/glew:0=
+	media-libs/libpng:0=
+	virtual/opengl"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+# NOTE: please keep commit hash actually when version up
+GIT_COMMIT_HASH="4d1e1341d926ac356b295d5cc3d61c7a6cd7d07d"
+
+src_prepare() {
+	rm -r "extlib/libdxfrw" || die  "rm extlib/libdxfrw failed"
+	mv "${WORKDIR}/libdxfrw-${DXFRW_COMMIT}" "extlib/libdxfrw" || die "move libdxfrw-${DXFRW_COMMIT} failed"
+	sed -i '/include(GetGitCommitHash)/d' CMakeLists.txt || die 'remove GetGitCommitHash by sed failed'
+	# fixed in master already
+	sed -i -e 's/CHAR_WIDTH/CHAR_WIDTH_/' src/textwin.cpp src/toolbar.cpp src/win32/w32main.cpp src/ui.h || die 'sed failed'
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}"
+	)
+	cmake-utils_src_configure
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2021-07-02  7:38 Joonas Niilola
  0 siblings, 0 replies; 18+ messages in thread
From: Joonas Niilola @ 2021-07-02  7:38 UTC (permalink / raw
  To: gentoo-commits

commit:     fce159e465a04bd028d7e65bd9b84a8224ef9ad3
Author:     ktrace@yandex.ru <ktrace <AT> yandex <DOT> ru>
AuthorDate: Thu Jun 10 11:08:34 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Jul  2 07:38:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fce159e4

media-gfx/solvespace: up to version 3.0

Closes: https://bugs.gentoo.org/784359
Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: ktrace <Victor Kustov ktrace <AT> yandex.ru>
Closes: https://github.com/gentoo/gentoo/pull/21027
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/solvespace/Manifest              |  3 ++
 media-gfx/solvespace/solvespace-3.0.ebuild | 81 ++++++++++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/media-gfx/solvespace/Manifest b/media-gfx/solvespace/Manifest
index 2e0dfeb8119..16f31c32664 100644
--- a/media-gfx/solvespace/Manifest
+++ b/media-gfx/solvespace/Manifest
@@ -1,2 +1,5 @@
+DIST libdxfrw-0.6.3-0b7b7b709d9299565db603f878214656ef5e9ddf.tar.gz 691804 BLAKE2B 84c90a591fac71144e9e13aace7c1a00dfc1bd6f27b0bcde6b60541f5b5d3ccc04ae1c759f60cb467445cc884840d04bf4613b5cc553fbbf6951cac33a084d50 SHA512 9ab498aa7f369be79d800e8ca5ec55fa54be79d0778937b81d4c8da776b3419cb8a75400b54b205efc338da32e2e781afd0bed1bd8efed1a0b212dc8682a2615
 DIST libdxfrw-0.6.3-87ff1082f49b1286a033ac8f38fe8dde0975bb8b.tar.gz 691867 BLAKE2B bd3414930efe8cc1185a20f889dda3ec8ea46e40d3a1a4c24975683fc444161acdff576a1f40c34203e523e88bacf3841c50928340e7865650a113e65375f930 SHA512 0f8e2561887fbc5101787f0d7818328864b5c4a679ef539fcdbda8c124ab4a808663f9ba645d397f154596eab1eb7c6f0bdf3883bf6975392863e01bada3a1f0
+DIST mimalloc-2.0.1-dc6bce256d4f3ce87761f9337977dff3d8b1776c.tar.gz 912721 BLAKE2B 0129b7650303be9bd82e9a99f6a81cc5aacf93c4e2d36813520d59b61410c00c2b84979b9aa901dc9f67a88110115882987b4eceebe880c548adbab4a328c415 SHA512 bf1770ae0225207aa072a103cb13671ac8a759aeb8e81dec6b1bf4192dc87c927153c34a4d6c42075d021cdb4a294a2863e9f70eed386912ccc0699120bd967e
 DIST solvespace-2.3.tar.gz 2115940 BLAKE2B 67e2d81e0a609d0344a6f28d33a78609b01c7105785f93aa1124f0592fe0e31d4846e6dd406339b2ef2c5f3961f91302a73c5391fe2e0f435e78c3a97ed67612 SHA512 9d22e467337591cd9a4935124d18733b8337f5785ab5738f4a94300f283ffe7d313569e379ae77e509d14182ffde8c9db7beaebb46ea7c0507c6b05010fe1a56
+DIST solvespace-3.0.tar.gz 2734860 BLAKE2B 2efc9d98723c60abdb1c76ac086c40ff2f9b8bc9c315978731493d115fa55a080176ef48d930e3b503c0de0604dbfd2bc3bd99a581f359eb07a23034d09f84bf SHA512 b07b41fac1d67c5350082600a2f09e3fa611a1273e0c93ff93d11a7a1dbf550ff33465686eaff04fdb8350d1fe854ab0301d8723ef31cc65c687ba59cb89187f

diff --git a/media-gfx/solvespace/solvespace-3.0.ebuild b/media-gfx/solvespace/solvespace-3.0.ebuild
new file mode 100644
index 00000000000..52201cda855
--- /dev/null
+++ b/media-gfx/solvespace/solvespace-3.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+DXFRW_COMMIT="0b7b7b709d9299565db603f878214656ef5e9ddf"
+#DXFRW_COMMIT="87ff1082f49b1286a033ac8f38fe8dde0975bb8b"
+DXFRW_PV="0.6.3"
+DXFRW_P="libdxfrw-${DXFRW_PV}-${DXFRW_COMMIT}"
+
+MIMALLOC_COMMIT="dc6bce256d4f3ce87761f9337977dff3d8b1776c"
+MIMALLOC_PV="2.0.1"
+MIMALLOC_P="mimalloc-${MIMALLOC_PV}-${MIMALLOC_COMMIT}"
+
+inherit cmake xdg-utils
+
+DESCRIPTION="Parametric 2d/3d CAD"
+HOMEPAGE="http://solvespace.com"
+SRC_URI="https://github.com/solvespace/solvespace/archive/v${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/solvespace/libdxfrw/archive/${DXFRW_COMMIT}.tar.gz -> ${DXFRW_P}.tar.gz
+	https://github.com/microsoft/mimalloc/archive/${MIMALLOC_COMMIT}.tar.gz -> ${MIMALLOC_P}.tar.gz"
+
+IUSE="openmp"
+KEYWORDS="~amd64 ~x86"
+LICENSE="GPL-3"
+SLOT="0"
+
+BDEPEND="openmp? ( >=sys-devel/gcc-4.2 )"
+
+RDEPEND="dev-cpp/gtkmm:2.4=
+	dev-cpp/pangomm:1.4
+	dev-libs/json-c:=
+	media-libs/fontconfig
+	media-libs/freetype:2
+	media-libs/glew:0=
+	media-libs/libpng:0=
+	sys-libs/zlib
+	virtual/opengl
+	x11-libs/cairo"
+
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+# NOTE: please keep commit hash actually when version up
+GIT_COMMIT_HASH="0e0b0252e23dd5bd4ae82ababcc54c44aee036d6"
+
+pkg_pretend() {
+	if use openmp ; then
+		tc-has-openmp || die "Please switch to an openmp compatible compiler"
+	fi
+}
+
+src_prepare() {
+	rm -r "extlib/libdxfrw" || die  "rm extlib/libdxfrw failed"
+	mv "${WORKDIR}/libdxfrw-${DXFRW_COMMIT}" "extlib/libdxfrw" || die "move libdxfrw-${DXFRW_COMMIT} failed"
+	rm -rf "extlib/mimalloc" || die  "rm extlib/mimalloc failed"
+	mv "${WORKDIR}/mimalloc-${MIMALLOC_COMMIT}" "extlib/mimalloc" || die "move mimalloc-${MIMALLOC_COMMIT} failed"
+	sed -i '/include(GetGitCommitHash)/d' CMakeLists.txt || die 'remove GetGitCommitHash by sed failed'
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}"
+	)
+	if ! use openmp ; then
+		mycmakeargs+=("-DENABLE_OPENMP=OFF")
+	else
+		mycmakeargs+=("-DENABLE_OPENMP=ON")
+	fi
+	cmake_src_configure
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2021-07-02  7:38 Joonas Niilola
  0 siblings, 0 replies; 18+ messages in thread
From: Joonas Niilola @ 2021-07-02  7:38 UTC (permalink / raw
  To: gentoo-commits

commit:     a8f8428266f3e6865326750267c93dd068eac545
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  2 07:30:19 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Jul  2 07:38:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8f84282

media-gfx/solvespace: add missing deps for 3.0

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/solvespace/solvespace-3.0.ebuild | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/media-gfx/solvespace/solvespace-3.0.ebuild b/media-gfx/solvespace/solvespace-3.0.ebuild
index 52201cda855..3aec8b3130f 100644
--- a/media-gfx/solvespace/solvespace-3.0.ebuild
+++ b/media-gfx/solvespace/solvespace-3.0.ebuild
@@ -24,18 +24,21 @@ KEYWORDS="~amd64 ~x86"
 LICENSE="GPL-3"
 SLOT="0"
 
-BDEPEND="openmp? ( >=sys-devel/gcc-4.2 )"
-
-RDEPEND="dev-cpp/gtkmm:2.4=
+RDEPEND="dev-cpp/atkmm:=
+	dev-cpp/glibmm:=
+	dev-cpp/gtkmm:3.0=
 	dev-cpp/pangomm:1.4
+	dev-libs/glib:2
 	dev-libs/json-c:=
+	dev-libs/libsigc++:=
 	media-libs/fontconfig
 	media-libs/freetype:2
-	media-libs/glew:0=
+	media-libs/libglvnd
 	media-libs/libpng:0=
 	sys-libs/zlib
 	virtual/opengl
-	x11-libs/cairo"
+	x11-libs/cairo
+	x11-libs/gtk+:3"
 
 DEPEND="${RDEPEND}
 	virtual/pkgconfig"


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2021-08-16  6:58 Joonas Niilola
  0 siblings, 0 replies; 18+ messages in thread
From: Joonas Niilola @ 2021-08-16  6:58 UTC (permalink / raw
  To: gentoo-commits

commit:     035a8b42e37b15312ced13dfde8d7d8b8b67fa44
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 16 06:55:08 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Aug 16 06:58:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=035a8b42

media-gfx/solvespace: call xdg_mimeinfo_database_update on 3.0

Closes: https://bugs.gentoo.org/808144
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/solvespace/solvespace-3.0.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/media-gfx/solvespace/solvespace-3.0.ebuild b/media-gfx/solvespace/solvespace-3.0.ebuild
index 3aec8b3130f..81b40ddc797 100644
--- a/media-gfx/solvespace/solvespace-3.0.ebuild
+++ b/media-gfx/solvespace/solvespace-3.0.ebuild
@@ -76,9 +76,11 @@ src_configure() {
 pkg_postinst() {
 	xdg_desktop_database_update
 	xdg_icon_cache_update
+	xdg_mimeinfo_database_update
 }
 
 pkg_postrm() {
 	xdg_desktop_database_update
 	xdg_icon_cache_update
+	xdg_mimeinfo_database_update
 }


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2022-03-11 18:28 Matthew Smith
  0 siblings, 0 replies; 18+ messages in thread
From: Matthew Smith @ 2022-03-11 18:28 UTC (permalink / raw
  To: gentoo-commits

commit:     68e1262f9513340fd057a0ab84751a3ac3653ca6
Author:     Matthew Smith <matthew <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 11 17:52:20 2022 +0000
Commit:     Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Fri Mar 11 18:28:08 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68e1262f

media-gfx/solvespace: update LICENSE

Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>

 media-gfx/solvespace/solvespace-3.0.ebuild | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/media-gfx/solvespace/solvespace-3.0.ebuild b/media-gfx/solvespace/solvespace-3.0.ebuild
index 81b40ddc7973..071b43161fe7 100644
--- a/media-gfx/solvespace/solvespace-3.0.ebuild
+++ b/media-gfx/solvespace/solvespace-3.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -19,9 +19,15 @@ SRC_URI="https://github.com/solvespace/solvespace/archive/v${PV}.tar.gz -> ${P}.
 	https://github.com/solvespace/libdxfrw/archive/${DXFRW_COMMIT}.tar.gz -> ${DXFRW_P}.tar.gz
 	https://github.com/microsoft/mimalloc/archive/${MIMALLOC_COMMIT}.tar.gz -> ${MIMALLOC_P}.tar.gz"
 
+# licenses
+# + SolveSpace (GPL-3+)
+# |- Bitstream Vera (BitstreamVera)
+# + libdxfrw (GPL-2+)
+# + mimalloc (MIT)
+
 IUSE="openmp"
 KEYWORDS="~amd64 ~x86"
-LICENSE="GPL-3"
+LICENSE="BitstreamVera GPL-2+ GPL-3+ MIT"
 SLOT="0"
 
 RDEPEND="dev-cpp/atkmm:=


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2022-03-11 18:28 Matthew Smith
  0 siblings, 0 replies; 18+ messages in thread
From: Matthew Smith @ 2022-03-11 18:28 UTC (permalink / raw
  To: gentoo-commits

commit:     707b485afcee3767354cfc00208fe24782e3da89
Author:     Matthew Smith <matthew <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 11 18:22:26 2022 +0000
Commit:     Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Fri Mar 11 18:28:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=707b485a

media-gfx/solvespace: add myself as a maintainer

Acked-by: Victor Kustov <ktrace <AT> yandex.ru>
Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>

 media-gfx/solvespace/metadata.xml | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/media-gfx/solvespace/metadata.xml b/media-gfx/solvespace/metadata.xml
index 854484aea793..b4f0df25e5ad 100644
--- a/media-gfx/solvespace/metadata.xml
+++ b/media-gfx/solvespace/metadata.xml
@@ -5,6 +5,10 @@
         <email>ktrace@yandex.ru</email>
         <name>Victor Kustov</name>
     </maintainer>
+    <maintainer type="person">
+        <email>matthew@gentoo.org</email>
+        <name>Matthew Smith</name>
+    </maintainer>
     <maintainer type="project" proxied="proxy">
         <email>proxy-maint@gentoo.org</email>
         <name>Proxy Maintainers</name>


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2022-03-27  9:25 Matthew Smith
  0 siblings, 0 replies; 18+ messages in thread
From: Matthew Smith @ 2022-03-27  9:25 UTC (permalink / raw
  To: gentoo-commits

commit:     99d0513dc117a6ed8c2c56ebcd2bd88f5731db66
Author:     Matthew Smith <matthew <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 27 08:42:11 2022 +0000
Commit:     Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Sun Mar 27 09:24:20 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99d0513d

media-gfx/solvespace: update RDEPEND

Add X USE-flag to dependencies where appropriate.

Closes: https://bugs.gentoo.org/836236
Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>

 .../{solvespace-3.0-r1.ebuild => solvespace-3.0-r2.ebuild}    | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/media-gfx/solvespace/solvespace-3.0-r1.ebuild b/media-gfx/solvespace/solvespace-3.0-r2.ebuild
similarity index 93%
rename from media-gfx/solvespace/solvespace-3.0-r1.ebuild
rename to media-gfx/solvespace/solvespace-3.0-r2.ebuild
index 73b691667314..a8ce744a23b5 100644
--- a/media-gfx/solvespace/solvespace-3.0-r1.ebuild
+++ b/media-gfx/solvespace/solvespace-3.0-r2.ebuild
@@ -29,21 +29,20 @@ SLOT="0"
 RDEPEND="
 	dev-cpp/atkmm:0
 	dev-cpp/glibmm:2
-	dev-cpp/gtkmm:3.0
+	dev-cpp/gtkmm:3.0[X]
 	dev-cpp/pangomm:1.4
 	dev-libs/glib:2
 	dev-libs/json-c:=
 	dev-libs/libsigc++:2
-	dev-libs/libspnav
+	dev-libs/libspnav[X]
 	dev-libs/mimalloc:=
 	media-libs/fontconfig
-	media-libs/freetype:2
-	media-libs/libglvnd
+	media-libs/freetype:2[X]
 	media-libs/libpng:0=
 	sys-libs/zlib
 	virtual/opengl
-	x11-libs/cairo
-	x11-libs/gtk+:3
+	x11-libs/cairo[X]
+	x11-libs/gtk+:3[X]
 "
 DEPEND="${RDEPEND}"
 BDEPEND="virtual/pkgconfig"


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2022-03-27  9:25 Matthew Smith
  0 siblings, 0 replies; 18+ messages in thread
From: Matthew Smith @ 2022-03-27  9:25 UTC (permalink / raw
  To: gentoo-commits

commit:     697a3e6f21dc18db91ab264e53225e1d4386c6cb
Author:     Matthew Smith <matthew <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 27 08:44:24 2022 +0000
Commit:     Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Sun Mar 27 09:24:24 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=697a3e6f

media-gfx/solvespace: drop 3.0

Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>

 media-gfx/solvespace/Manifest              |  1 -
 media-gfx/solvespace/solvespace-3.0.ebuild | 92 ------------------------------
 2 files changed, 93 deletions(-)

diff --git a/media-gfx/solvespace/Manifest b/media-gfx/solvespace/Manifest
index 0ea117d9b3ce..445aa5c0bdbc 100644
--- a/media-gfx/solvespace/Manifest
+++ b/media-gfx/solvespace/Manifest
@@ -1,3 +1,2 @@
 DIST libdxfrw-0.6.3-0b7b7b709d9299565db603f878214656ef5e9ddf.tar.gz 691804 BLAKE2B 84c90a591fac71144e9e13aace7c1a00dfc1bd6f27b0bcde6b60541f5b5d3ccc04ae1c759f60cb467445cc884840d04bf4613b5cc553fbbf6951cac33a084d50 SHA512 9ab498aa7f369be79d800e8ca5ec55fa54be79d0778937b81d4c8da776b3419cb8a75400b54b205efc338da32e2e781afd0bed1bd8efed1a0b212dc8682a2615
-DIST mimalloc-2.0.1-dc6bce256d4f3ce87761f9337977dff3d8b1776c.tar.gz 912721 BLAKE2B 0129b7650303be9bd82e9a99f6a81cc5aacf93c4e2d36813520d59b61410c00c2b84979b9aa901dc9f67a88110115882987b4eceebe880c548adbab4a328c415 SHA512 bf1770ae0225207aa072a103cb13671ac8a759aeb8e81dec6b1bf4192dc87c927153c34a4d6c42075d021cdb4a294a2863e9f70eed386912ccc0699120bd967e
 DIST solvespace-3.0.tar.gz 2734860 BLAKE2B 2efc9d98723c60abdb1c76ac086c40ff2f9b8bc9c315978731493d115fa55a080176ef48d930e3b503c0de0604dbfd2bc3bd99a581f359eb07a23034d09f84bf SHA512 b07b41fac1d67c5350082600a2f09e3fa611a1273e0c93ff93d11a7a1dbf550ff33465686eaff04fdb8350d1fe854ab0301d8723ef31cc65c687ba59cb89187f

diff --git a/media-gfx/solvespace/solvespace-3.0.ebuild b/media-gfx/solvespace/solvespace-3.0.ebuild
deleted file mode 100644
index 071b43161fe7..000000000000
--- a/media-gfx/solvespace/solvespace-3.0.ebuild
+++ /dev/null
@@ -1,92 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-DXFRW_COMMIT="0b7b7b709d9299565db603f878214656ef5e9ddf"
-#DXFRW_COMMIT="87ff1082f49b1286a033ac8f38fe8dde0975bb8b"
-DXFRW_PV="0.6.3"
-DXFRW_P="libdxfrw-${DXFRW_PV}-${DXFRW_COMMIT}"
-
-MIMALLOC_COMMIT="dc6bce256d4f3ce87761f9337977dff3d8b1776c"
-MIMALLOC_PV="2.0.1"
-MIMALLOC_P="mimalloc-${MIMALLOC_PV}-${MIMALLOC_COMMIT}"
-
-inherit cmake xdg-utils
-
-DESCRIPTION="Parametric 2d/3d CAD"
-HOMEPAGE="http://solvespace.com"
-SRC_URI="https://github.com/solvespace/solvespace/archive/v${PV}.tar.gz -> ${P}.tar.gz
-	https://github.com/solvespace/libdxfrw/archive/${DXFRW_COMMIT}.tar.gz -> ${DXFRW_P}.tar.gz
-	https://github.com/microsoft/mimalloc/archive/${MIMALLOC_COMMIT}.tar.gz -> ${MIMALLOC_P}.tar.gz"
-
-# licenses
-# + SolveSpace (GPL-3+)
-# |- Bitstream Vera (BitstreamVera)
-# + libdxfrw (GPL-2+)
-# + mimalloc (MIT)
-
-IUSE="openmp"
-KEYWORDS="~amd64 ~x86"
-LICENSE="BitstreamVera GPL-2+ GPL-3+ MIT"
-SLOT="0"
-
-RDEPEND="dev-cpp/atkmm:=
-	dev-cpp/glibmm:=
-	dev-cpp/gtkmm:3.0=
-	dev-cpp/pangomm:1.4
-	dev-libs/glib:2
-	dev-libs/json-c:=
-	dev-libs/libsigc++:=
-	media-libs/fontconfig
-	media-libs/freetype:2
-	media-libs/libglvnd
-	media-libs/libpng:0=
-	sys-libs/zlib
-	virtual/opengl
-	x11-libs/cairo
-	x11-libs/gtk+:3"
-
-DEPEND="${RDEPEND}
-	virtual/pkgconfig"
-
-# NOTE: please keep commit hash actually when version up
-GIT_COMMIT_HASH="0e0b0252e23dd5bd4ae82ababcc54c44aee036d6"
-
-pkg_pretend() {
-	if use openmp ; then
-		tc-has-openmp || die "Please switch to an openmp compatible compiler"
-	fi
-}
-
-src_prepare() {
-	rm -r "extlib/libdxfrw" || die  "rm extlib/libdxfrw failed"
-	mv "${WORKDIR}/libdxfrw-${DXFRW_COMMIT}" "extlib/libdxfrw" || die "move libdxfrw-${DXFRW_COMMIT} failed"
-	rm -rf "extlib/mimalloc" || die  "rm extlib/mimalloc failed"
-	mv "${WORKDIR}/mimalloc-${MIMALLOC_COMMIT}" "extlib/mimalloc" || die "move mimalloc-${MIMALLOC_COMMIT} failed"
-	sed -i '/include(GetGitCommitHash)/d' CMakeLists.txt || die 'remove GetGitCommitHash by sed failed'
-	cmake_src_prepare
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}"
-	)
-	if ! use openmp ; then
-		mycmakeargs+=("-DENABLE_OPENMP=OFF")
-	else
-		mycmakeargs+=("-DENABLE_OPENMP=ON")
-	fi
-	cmake_src_configure
-}
-
-pkg_postinst() {
-	xdg_desktop_database_update
-	xdg_icon_cache_update
-	xdg_mimeinfo_database_update
-}
-
-pkg_postrm() {
-	xdg_desktop_database_update
-	xdg_icon_cache_update
-	xdg_mimeinfo_database_update
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2022-04-05  5:27 Agostino Sarubbo
  0 siblings, 0 replies; 18+ messages in thread
From: Agostino Sarubbo @ 2022-04-05  5:27 UTC (permalink / raw
  To: gentoo-commits

commit:     3f22588945cc0fa3f7c1587eaf1abfc9fb29d727
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  5 05:27:08 2022 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Tue Apr  5 05:27:19 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f225889

media-gfx/solvespace: amd64 stable wrt bug #829840

Package-Manager: Portage-3.0.30, Repoman-3.0.3
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 media-gfx/solvespace/solvespace-3.0-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-gfx/solvespace/solvespace-3.0-r2.ebuild b/media-gfx/solvespace/solvespace-3.0-r2.ebuild
index a8ce744a23b5..e9fa8cb53fc6 100644
--- a/media-gfx/solvespace/solvespace-3.0-r2.ebuild
+++ b/media-gfx/solvespace/solvespace-3.0-r2.ebuild
@@ -22,7 +22,7 @@ SRC_URI="https://github.com/solvespace/solvespace/archive/v${PV}.tar.gz -> ${P}.
 # + libdxfrw (GPL-2+)
 
 IUSE="openmp"
-KEYWORDS="~amd64"
+KEYWORDS="amd64"
 LICENSE="BitstreamVera GPL-2+ GPL-3+"
 SLOT="0"
 


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2022-04-10 21:11 Jonas Stein
  0 siblings, 0 replies; 18+ messages in thread
From: Jonas Stein @ 2022-04-10 21:11 UTC (permalink / raw
  To: gentoo-commits

commit:     76643edb88b62b1377d40c2a05c42897fb9737fc
Author:     Jonas Stein <jstein <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 10 21:10:48 2022 +0000
Commit:     Jonas Stein <jstein <AT> gentoo <DOT> org>
CommitDate: Sun Apr 10 21:10:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76643edb

media-gfx/solvespace: Maintainer retired

Proxied maintainer retired due to inactivity.
Bug: https://bugs.gentoo.org/638830
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Jonas Stein <jstein <AT> gentoo.org>

 media-gfx/solvespace/metadata.xml | 8 --------
 1 file changed, 8 deletions(-)

diff --git a/media-gfx/solvespace/metadata.xml b/media-gfx/solvespace/metadata.xml
index b4f0df25e5ad..d39d759d5cca 100644
--- a/media-gfx/solvespace/metadata.xml
+++ b/media-gfx/solvespace/metadata.xml
@@ -1,18 +1,10 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-    <maintainer type="person" proxied="yes">
-        <email>ktrace@yandex.ru</email>
-        <name>Victor Kustov</name>
-    </maintainer>
     <maintainer type="person">
         <email>matthew@gentoo.org</email>
         <name>Matthew Smith</name>
     </maintainer>
-    <maintainer type="project" proxied="proxy">
-        <email>proxy-maint@gentoo.org</email>
-        <name>Proxy Maintainers</name>
-    </maintainer>
     <longdescription lang="en">
     Solvespace is a parametric 2D/3D CAD tool. Applications include:
     - modeling 3d parts — draw with extrudes, revolves, and Boolean (union / difference) operations


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2022-04-13  9:44 Jakov Smolić
  0 siblings, 0 replies; 18+ messages in thread
From: Jakov Smolić @ 2022-04-13  9:44 UTC (permalink / raw
  To: gentoo-commits

commit:     072d2b9bfa0af1f450e9e1dedbb790b2b2e2faca
Author:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 13 09:44:14 2022 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Wed Apr 13 09:44:14 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=072d2b9b

media-gfx/solvespace: Keyword 3.0-r2 x86, #836264

Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 media-gfx/solvespace/solvespace-3.0-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-gfx/solvespace/solvespace-3.0-r2.ebuild b/media-gfx/solvespace/solvespace-3.0-r2.ebuild
index e9fa8cb53fc6..c05f7413d643 100644
--- a/media-gfx/solvespace/solvespace-3.0-r2.ebuild
+++ b/media-gfx/solvespace/solvespace-3.0-r2.ebuild
@@ -22,7 +22,7 @@ SRC_URI="https://github.com/solvespace/solvespace/archive/v${PV}.tar.gz -> ${P}.
 # + libdxfrw (GPL-2+)
 
 IUSE="openmp"
-KEYWORDS="amd64"
+KEYWORDS="amd64 ~x86"
 LICENSE="BitstreamVera GPL-2+ GPL-3+"
 SLOT="0"
 


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2022-05-14 21:30 David Seifert
  0 siblings, 0 replies; 18+ messages in thread
From: David Seifert @ 2022-05-14 21:30 UTC (permalink / raw
  To: gentoo-commits

commit:     9f7f50293dd0fc258d68c6b8092f5a87ff0003c7
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat May 14 21:30:16 2022 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat May 14 21:30:16 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f7f5029

media-gfx/solvespace: [QA] tc-has-openmp → tc-check-openmp

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 media-gfx/solvespace/solvespace-3.0-r2.ebuild | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/media-gfx/solvespace/solvespace-3.0-r2.ebuild b/media-gfx/solvespace/solvespace-3.0-r2.ebuild
index c05f7413d643..f94aea515954 100644
--- a/media-gfx/solvespace/solvespace-3.0-r2.ebuild
+++ b/media-gfx/solvespace/solvespace-3.0-r2.ebuild
@@ -53,9 +53,11 @@ PATCHES=( "${FILESDIR}"/${PN}-3.0-use-system-mimalloc.patch )
 MY_HASH="0e0b0252e23dd5bd4ae82ababcc54c44aee036d6"
 
 pkg_pretend() {
-	if use openmp; then
-		tc-has-openmp || die "Please switch to an openmp compatible compiler"
-	fi
+	[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+	[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
 }
 
 src_prepare() {


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2022-06-10  7:58 Matthew Smith
  0 siblings, 0 replies; 18+ messages in thread
From: Matthew Smith @ 2022-06-10  7:58 UTC (permalink / raw
  To: gentoo-commits

commit:     772d2a3d1a7ef18fb2f70de2d23480c10a43f072
Author:     Matthew Smith <matthew <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 10 07:55:22 2022 +0000
Commit:     Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Fri Jun 10 07:55:22 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=772d2a3d

media-gfx/solvespace: add missing dev-cpp/eigen depend

Fixes build failure and RDEPENDs untouched, no revbump.

Closes: https://bugs.gentoo.org/850931
Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>

 media-gfx/solvespace/solvespace-3.1.ebuild | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/media-gfx/solvespace/solvespace-3.1.ebuild b/media-gfx/solvespace/solvespace-3.1.ebuild
index 347d89fe867d..00c648f92e37 100644
--- a/media-gfx/solvespace/solvespace-3.1.ebuild
+++ b/media-gfx/solvespace/solvespace-3.1.ebuild
@@ -44,7 +44,10 @@ RDEPEND="
 	x11-libs/cairo[X]
 	x11-libs/gtk+:3[X]
 "
-DEPEND="${RDEPEND}"
+DEPEND="
+	${RDEPEND}
+	dev-cpp/eigen:3
+"
 BDEPEND="virtual/pkgconfig"
 
 PATCHES=( "${FILESDIR}"/${PN}-3.1-use-system-mimalloc.patch )


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2022-07-03  8:10 Matthew Smith
  0 siblings, 0 replies; 18+ messages in thread
From: Matthew Smith @ 2022-07-03  8:10 UTC (permalink / raw
  To: gentoo-commits

commit:     775016ae14d1a4df6981f2d655b5147423f79385
Author:     Matthew Smith <matthew <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  3 08:09:15 2022 +0000
Commit:     Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Sun Jul  3 08:09:15 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=775016ae

media-gfx/solvespace: add system-mimalloc USE flag

Using the system mimalloc library causes the language selector to stop
working (and possibly other undiscovered bugs), so allow users to go
back to the statically linked vendored library if desired.

Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>

 media-gfx/solvespace/Manifest                      |  1 +
 media-gfx/solvespace/metadata.xml                  |  3 ++
 ...vespace-3.1.ebuild => solvespace-3.1-r1.ebuild} | 35 +++++++++++++++++-----
 3 files changed, 31 insertions(+), 8 deletions(-)

diff --git a/media-gfx/solvespace/Manifest b/media-gfx/solvespace/Manifest
index 881e7a36fd2c..d513304e32b5 100644
--- a/media-gfx/solvespace/Manifest
+++ b/media-gfx/solvespace/Manifest
@@ -1,3 +1,4 @@
 DIST libdxfrw-0.6.3-0b7b7b709d9299565db603f878214656ef5e9ddf.tar.gz 691804 BLAKE2B 84c90a591fac71144e9e13aace7c1a00dfc1bd6f27b0bcde6b60541f5b5d3ccc04ae1c759f60cb467445cc884840d04bf4613b5cc553fbbf6951cac33a084d50 SHA512 9ab498aa7f369be79d800e8ca5ec55fa54be79d0778937b81d4c8da776b3419cb8a75400b54b205efc338da32e2e781afd0bed1bd8efed1a0b212dc8682a2615
+DIST mimalloc-2.0.6-f819dbb4e4813fab464aee16770f39f11476bfea.tar.gz 1129745 BLAKE2B 95ea6e64afaa6931e18a22db45ba39d554917e109028adb624120442329bb458d24d7f22a233931c5e15b8b0ce4cc5130b0d4cba0db270a9c84453afd70c33e9 SHA512 b02a76d8a7668a4d3dc8c761473f609060b834761918b58d2143d54dbeb4c342e213010f9402d1c55035b04860936c2f8df73b84e111f5e90b3d58db62c5f85f
 DIST solvespace-3.0.tar.gz 2734860 BLAKE2B 2efc9d98723c60abdb1c76ac086c40ff2f9b8bc9c315978731493d115fa55a080176ef48d930e3b503c0de0604dbfd2bc3bd99a581f359eb07a23034d09f84bf SHA512 b07b41fac1d67c5350082600a2f09e3fa611a1273e0c93ff93d11a7a1dbf550ff33465686eaff04fdb8350d1fe854ab0301d8723ef31cc65c687ba59cb89187f
 DIST solvespace-3.1.tar.gz 2764243 BLAKE2B 764637f84a187c6a86cf65cd672466f48e1e5abd9d335945fc47f2ea48f7d22a94f6840a6019f2380e8416e903bb55f97d9adb18fa6f2e7a94933c2a5b51ef6c SHA512 76794c4b103036f423471c72209521c273b40edcf9a725d2407e757b8dded033863f58640f1bcdf19d7dd1b296334f8745a632875e06604fa4d5b261dd23ba98

diff --git a/media-gfx/solvespace/metadata.xml b/media-gfx/solvespace/metadata.xml
index d39d759d5cca..b332c7ef66f6 100644
--- a/media-gfx/solvespace/metadata.xml
+++ b/media-gfx/solvespace/metadata.xml
@@ -15,4 +15,7 @@
     - mechanism design — use the constraint solver to simulate planar or spatial linkages, with pin, ball, or slide joints
     - plane and solid geometry — replace hand-solved trigonometry and spreadsheets with a live dimensioned drawing
     </longdescription>
+    <use>
+        <flag name="system-mimalloc">Use system <pkg>dev-libs/mimalloc</pkg> instead of vendored library</flag>
+    </use>
 </pkgmetadata>

diff --git a/media-gfx/solvespace/solvespace-3.1.ebuild b/media-gfx/solvespace/solvespace-3.1-r1.ebuild
similarity index 57%
rename from media-gfx/solvespace/solvespace-3.1.ebuild
rename to media-gfx/solvespace/solvespace-3.1-r1.ebuild
index 00c648f92e37..d6a1211cde9f 100644
--- a/media-gfx/solvespace/solvespace-3.1.ebuild
+++ b/media-gfx/solvespace/solvespace-3.1-r1.ebuild
@@ -9,21 +9,29 @@ DXFRW_COMMIT="0b7b7b709d9299565db603f878214656ef5e9ddf"
 DXFRW_PV="0.6.3"
 DXFRW_P="libdxfrw-${DXFRW_PV}-${DXFRW_COMMIT}"
 
+# dynamically linking with mimalloc causes segfaults when changing
+# language. bug #852839
+MIMALLOC_COMMIT="f819dbb4e4813fab464aee16770f39f11476bfea"
+MIMALLOC_PV="2.0.6"
+MIMALLOC_P="mimalloc-${MIMALLOC_PV}-${MIMALLOC_COMMIT}"
+
 inherit cmake toolchain-funcs xdg
 
 DESCRIPTION="Parametric 2d/3d CAD"
 HOMEPAGE="http://solvespace.com"
 SRC_URI="https://github.com/solvespace/solvespace/archive/v${PV}.tar.gz -> ${P}.tar.gz
-	https://github.com/solvespace/libdxfrw/archive/${DXFRW_COMMIT}.tar.gz -> ${DXFRW_P}.tar.gz"
+	https://github.com/solvespace/libdxfrw/archive/${DXFRW_COMMIT}.tar.gz -> ${DXFRW_P}.tar.gz
+	!system-mimalloc? ( https://github.com/microsoft/mimalloc/archive/${MIMALLOC_COMMIT}.tar.gz -> ${MIMALLOC_P}.tar.gz )"
 
 # licenses
 # + SolveSpace (GPL-3+)
 # |- Bitstream Vera (BitstreamVera)
 # + libdxfrw (GPL-2+)
+# + mimalloc (MIT)
 
-IUSE="openmp"
+IUSE="openmp +system-mimalloc"
 KEYWORDS="~amd64 ~x86"
-LICENSE="BitstreamVera GPL-2+ GPL-3+"
+LICENSE="BitstreamVera GPL-2+ GPL-3+ !system-mimalloc? ( MIT )"
 SLOT="0"
 
 RDEPEND="
@@ -35,7 +43,6 @@ RDEPEND="
 	dev-libs/json-c:=
 	dev-libs/libsigc++:2
 	dev-libs/libspnav[X]
-	dev-libs/mimalloc:=
 	media-libs/fontconfig
 	media-libs/freetype:2[X]
 	media-libs/libpng:0=
@@ -43,6 +50,7 @@ RDEPEND="
 	virtual/opengl
 	x11-libs/cairo[X]
 	x11-libs/gtk+:3[X]
+	system-mimalloc? ( dev-libs/mimalloc:= )
 "
 DEPEND="
 	${RDEPEND}
@@ -50,10 +58,9 @@ DEPEND="
 "
 BDEPEND="virtual/pkgconfig"
 
-PATCHES=( "${FILESDIR}"/${PN}-3.1-use-system-mimalloc.patch )
-
-# This is shown to the user in the UI and --version.
-MY_HASH="0e0b0252e23dd5bd4ae82ababcc54c44aee036d6"
+# This is shown to the user in the UI and --version and should be
+# updated during each version bump.
+MY_HASH="70bde63cb32a7f049fa56cbdf924e2695fcb2916"
 
 pkg_pretend() {
 	[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
@@ -67,6 +74,18 @@ src_prepare() {
 	rm -r extlib/libdxfrw || die
 	mv "${WORKDIR}"/libdxfrw-${DXFRW_COMMIT} extlib/libdxfrw || die
 
+	if use system-mimalloc; then
+		# Ideally this patch would be applied unconditionally and it
+		# would add an option like `-DUSE_SYSTEM_MIMALLOC=On', but
+		# hopefully this patch is only needed temporarily and the odd
+		# interactions with the system's libmimalloc will be fixed
+		# shortly... :)
+		PATCHES=( "${FILESDIR}"/${PN}-3.1-use-system-mimalloc.patch )
+	else
+		rm -r extlib/mimalloc || die
+		mv "${WORKDIR}"/mimalloc-${MIMALLOC_COMMIT} extlib/mimalloc || die
+	fi
+
 	sed -i '/include(GetGitCommitHash)/d' CMakeLists.txt || die
 
 	cmake_src_prepare


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2022-07-28 23:06 Sam James
  0 siblings, 0 replies; 18+ messages in thread
From: Sam James @ 2022-07-28 23:06 UTC (permalink / raw
  To: gentoo-commits

commit:     0d57ae223b0c40b58ce42ea3f243180e592bd6c0
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 28 23:05:56 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jul 28 23:05:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d57ae22

media-gfx/solvespace: Stabilize 3.1-r1 amd64, #861752

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-gfx/solvespace/solvespace-3.1-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-gfx/solvespace/solvespace-3.1-r1.ebuild b/media-gfx/solvespace/solvespace-3.1-r1.ebuild
index d6a1211cde9f..06cc74938497 100644
--- a/media-gfx/solvespace/solvespace-3.1-r1.ebuild
+++ b/media-gfx/solvespace/solvespace-3.1-r1.ebuild
@@ -30,7 +30,7 @@ SRC_URI="https://github.com/solvespace/solvespace/archive/v${PV}.tar.gz -> ${P}.
 # + mimalloc (MIT)
 
 IUSE="openmp +system-mimalloc"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
 LICENSE="BitstreamVera GPL-2+ GPL-3+ !system-mimalloc? ( MIT )"
 SLOT="0"
 


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2022-09-09  9:48 Matthew Smith
  0 siblings, 0 replies; 18+ messages in thread
From: Matthew Smith @ 2022-09-09  9:48 UTC (permalink / raw
  To: gentoo-commits

commit:     8f69a95f6f46feeff7754c31fc20b274e01efe3c
Author:     Matthew Smith <matthew <AT> gentoo <DOT> org>
AuthorDate: Fri Sep  9 08:59:21 2022 +0000
Commit:     Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Fri Sep  9 09:46:49 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f69a95f

media-gfx/solvespace: drop 3.0-r2

Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>

 media-gfx/solvespace/Manifest                 |  1 -
 media-gfx/solvespace/solvespace-3.0-r2.ebuild | 79 ---------------------------
 2 files changed, 80 deletions(-)

diff --git a/media-gfx/solvespace/Manifest b/media-gfx/solvespace/Manifest
index d513304e32b5..8c62f42851b8 100644
--- a/media-gfx/solvespace/Manifest
+++ b/media-gfx/solvespace/Manifest
@@ -1,4 +1,3 @@
 DIST libdxfrw-0.6.3-0b7b7b709d9299565db603f878214656ef5e9ddf.tar.gz 691804 BLAKE2B 84c90a591fac71144e9e13aace7c1a00dfc1bd6f27b0bcde6b60541f5b5d3ccc04ae1c759f60cb467445cc884840d04bf4613b5cc553fbbf6951cac33a084d50 SHA512 9ab498aa7f369be79d800e8ca5ec55fa54be79d0778937b81d4c8da776b3419cb8a75400b54b205efc338da32e2e781afd0bed1bd8efed1a0b212dc8682a2615
 DIST mimalloc-2.0.6-f819dbb4e4813fab464aee16770f39f11476bfea.tar.gz 1129745 BLAKE2B 95ea6e64afaa6931e18a22db45ba39d554917e109028adb624120442329bb458d24d7f22a233931c5e15b8b0ce4cc5130b0d4cba0db270a9c84453afd70c33e9 SHA512 b02a76d8a7668a4d3dc8c761473f609060b834761918b58d2143d54dbeb4c342e213010f9402d1c55035b04860936c2f8df73b84e111f5e90b3d58db62c5f85f
-DIST solvespace-3.0.tar.gz 2734860 BLAKE2B 2efc9d98723c60abdb1c76ac086c40ff2f9b8bc9c315978731493d115fa55a080176ef48d930e3b503c0de0604dbfd2bc3bd99a581f359eb07a23034d09f84bf SHA512 b07b41fac1d67c5350082600a2f09e3fa611a1273e0c93ff93d11a7a1dbf550ff33465686eaff04fdb8350d1fe854ab0301d8723ef31cc65c687ba59cb89187f
 DIST solvespace-3.1.tar.gz 2764243 BLAKE2B 764637f84a187c6a86cf65cd672466f48e1e5abd9d335945fc47f2ea48f7d22a94f6840a6019f2380e8416e903bb55f97d9adb18fa6f2e7a94933c2a5b51ef6c SHA512 76794c4b103036f423471c72209521c273b40edcf9a725d2407e757b8dded033863f58640f1bcdf19d7dd1b296334f8745a632875e06604fa4d5b261dd23ba98

diff --git a/media-gfx/solvespace/solvespace-3.0-r2.ebuild b/media-gfx/solvespace/solvespace-3.0-r2.ebuild
deleted file mode 100644
index f94aea515954..000000000000
--- a/media-gfx/solvespace/solvespace-3.0-r2.ebuild
+++ /dev/null
@@ -1,79 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-# solvespace's libdxfrw is quite heavily modified and incompatible with
-# the upstream libdxfrw.
-DXFRW_COMMIT="0b7b7b709d9299565db603f878214656ef5e9ddf"
-DXFRW_PV="0.6.3"
-DXFRW_P="libdxfrw-${DXFRW_PV}-${DXFRW_COMMIT}"
-
-inherit cmake toolchain-funcs xdg
-
-DESCRIPTION="Parametric 2d/3d CAD"
-HOMEPAGE="http://solvespace.com"
-SRC_URI="https://github.com/solvespace/solvespace/archive/v${PV}.tar.gz -> ${P}.tar.gz
-	https://github.com/solvespace/libdxfrw/archive/${DXFRW_COMMIT}.tar.gz -> ${DXFRW_P}.tar.gz"
-
-# licenses
-# + SolveSpace (GPL-3+)
-# |- Bitstream Vera (BitstreamVera)
-# + libdxfrw (GPL-2+)
-
-IUSE="openmp"
-KEYWORDS="amd64 ~x86"
-LICENSE="BitstreamVera GPL-2+ GPL-3+"
-SLOT="0"
-
-RDEPEND="
-	dev-cpp/atkmm:0
-	dev-cpp/glibmm:2
-	dev-cpp/gtkmm:3.0[X]
-	dev-cpp/pangomm:1.4
-	dev-libs/glib:2
-	dev-libs/json-c:=
-	dev-libs/libsigc++:2
-	dev-libs/libspnav[X]
-	dev-libs/mimalloc:=
-	media-libs/fontconfig
-	media-libs/freetype:2[X]
-	media-libs/libpng:0=
-	sys-libs/zlib
-	virtual/opengl
-	x11-libs/cairo[X]
-	x11-libs/gtk+:3[X]
-"
-DEPEND="${RDEPEND}"
-BDEPEND="virtual/pkgconfig"
-
-PATCHES=( "${FILESDIR}"/${PN}-3.0-use-system-mimalloc.patch )
-
-# This is shown to the user in the UI and --version.
-MY_HASH="0e0b0252e23dd5bd4ae82ababcc54c44aee036d6"
-
-pkg_pretend() {
-	[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
-}
-
-pkg_setup() {
-	[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
-}
-
-src_prepare() {
-	rm -r extlib/libdxfrw || die
-	mv "${WORKDIR}"/libdxfrw-${DXFRW_COMMIT} extlib/libdxfrw || die
-
-	sed -i '/include(GetGitCommitHash)/d' CMakeLists.txt || die
-
-	cmake_src_prepare
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DENABLE_OPENMP=$(usex openmp)
-		-DGIT_COMMIT_HASH=${MY_HASH}
-	)
-
-	cmake_src_configure
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2024-07-31 17:51 Matthew Smith
  0 siblings, 0 replies; 18+ messages in thread
From: Matthew Smith @ 2024-07-31 17:51 UTC (permalink / raw
  To: gentoo-commits

commit:     48421af5e0a10b6f4dae1019a2169722e7d9c5b0
Author:     Matthew Smith <matthew <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 31 17:00:32 2024 +0000
Commit:     Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Wed Jul 31 17:50:41 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48421af5

media-gfx/solvespace: drop myself as a maintainer

Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>

 media-gfx/solvespace/metadata.xml | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

diff --git a/media-gfx/solvespace/metadata.xml b/media-gfx/solvespace/metadata.xml
index b332c7ef66f6..2cfadb10cbd2 100644
--- a/media-gfx/solvespace/metadata.xml
+++ b/media-gfx/solvespace/metadata.xml
@@ -1,10 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-    <maintainer type="person">
-        <email>matthew@gentoo.org</email>
-        <name>Matthew Smith</name>
-    </maintainer>
+    <!-- maintainer-needed -->
     <longdescription lang="en">
     Solvespace is a parametric 2D/3D CAD tool. Applications include:
     - modeling 3d parts — draw with extrudes, revolves, and Boolean (union / difference) operations


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/
@ 2024-08-16 18:13 Arthur Zamarin
  0 siblings, 0 replies; 18+ messages in thread
From: Arthur Zamarin @ 2024-08-16 18:13 UTC (permalink / raw
  To: gentoo-commits

commit:     656a1fafe86d5a74195036879ea3af05dcbd7d5d
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 16 18:13:44 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Aug 16 18:13:44 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=656a1faf

media-gfx/solvespace: Keyword 3.1-r1 arm64, #938015

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 media-gfx/solvespace/solvespace-3.1-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/media-gfx/solvespace/solvespace-3.1-r1.ebuild b/media-gfx/solvespace/solvespace-3.1-r1.ebuild
index 06cc74938497..c7343757219f 100644
--- a/media-gfx/solvespace/solvespace-3.1-r1.ebuild
+++ b/media-gfx/solvespace/solvespace-3.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -30,7 +30,7 @@ SRC_URI="https://github.com/solvespace/solvespace/archive/v${PV}.tar.gz -> ${P}.
 # + mimalloc (MIT)
 
 IUSE="openmp +system-mimalloc"
-KEYWORDS="amd64 ~x86"
+KEYWORDS="amd64 ~arm64 ~x86"
 LICENSE="BitstreamVera GPL-2+ GPL-3+ !system-mimalloc? ( MIT )"
 SLOT="0"
 


^ permalink raw reply related	[flat|nested] 18+ messages in thread

end of thread, other threads:[~2024-08-16 18:14 UTC | newest]

Thread overview: 18+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-03-11 18:28 [gentoo-commits] repo/gentoo:master commit in: media-gfx/solvespace/ Matthew Smith
  -- strict thread matches above, loose matches on Subject: below --
2024-08-16 18:13 Arthur Zamarin
2024-07-31 17:51 Matthew Smith
2022-09-09  9:48 Matthew Smith
2022-07-28 23:06 Sam James
2022-07-03  8:10 Matthew Smith
2022-06-10  7:58 Matthew Smith
2022-05-14 21:30 David Seifert
2022-04-13  9:44 Jakov Smolić
2022-04-10 21:11 Jonas Stein
2022-04-05  5:27 Agostino Sarubbo
2022-03-27  9:25 Matthew Smith
2022-03-27  9:25 Matthew Smith
2022-03-11 18:28 Matthew Smith
2021-08-16  6:58 Joonas Niilola
2021-07-02  7:38 Joonas Niilola
2021-07-02  7:38 Joonas Niilola
2018-11-09 19:49 Michał Górny

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox